diff --git a/ctags.1 b/ctags.1
index 9dbe025b20..1b3fd5bb26 100644
--- a/ctags.1
+++ b/ctags.1
@@ -690,6 +690,10 @@ As a special case, if
 line, it will disable the automatic reading of any configuration options from
 either a file or the environment (see \fBFILES\fP).
 
+.TP 5
+\fB\-\-quiet\fP[=\fIyes\fP|\fIno\fP]
+Write fewer messages(default is \fIno\fP).
+
 .TP 5
 \fB\-\-recurse\fP[=\fIyes\fP|\fIno\fP]
 Recurse into directories encountered in the list of supplied files. If the
diff --git a/docs/f-news.rst b/docs/f-news.rst
index 854cdf8b6d..32fa80c8f4 100644
--- a/docs/f-news.rst
+++ b/docs/f-news.rst
@@ -614,3 +614,25 @@ doesn't work with ``-e``.
 
   ctags cannot generate TAGS, etags format output
   if ``--<LANG>-xcmd=COMMAND`` is specified.
+
+notice message and --quiet option
+---------------------------------------------------------------------
+There were 3 classes of message in ctags:
+
+*fatal*
+
+	A ciritical error is occured. ctags aborts the execution.
+
+*warning*
+
+	An error is occured but ctags continues the execution.
+
+*verbose*
+
+	Mainly for debugging prupose.
+
+
+*notice* is a new class of message. It is less important than warning*
+*but more important for users than *verbose*. Generally the user can
+*ignore *notice*. With ``--quiet`` option can be used to turn off the
+priting the *notice* class messages.
diff --git a/lxcmd.c b/lxcmd.c
index 9f6d30e48b..a74dfdb177 100644
--- a/lxcmd.c
+++ b/lxcmd.c
@@ -294,7 +294,7 @@ static boolean loadPathKinds  (xcmdPath *const path, const langType language)
 			if (status > 0 
 			    && WIFEXITED (status) 
 			    && (WEXITSTATUS (status) == XCMD_NOT_AVAILABLE_STATUS))
-				error (WARNING, "xcmd recognizes %s is not available", argv[0]);
+				notice ("xcmd recognizes %s is not available", argv[0]);
 			else
 				error (WARNING, "xcmd exits abnormally status(%d): [%s %s]",
 				       status, argv[0], argv[1]);
diff --git a/options.c b/options.c
index f09d0d6930..6cd5e8bfb0 100644
--- a/options.c
+++ b/options.c
@@ -170,6 +170,7 @@ optionValues Option = {
 	FALSE,      /* --line-directives */
 	FALSE,	    /* --print-language */
 	FALSE,	    /* --guess-language-eagerly(-G) */
+	FALSE,	    /* --quiet */
 #ifdef DEBUG
 	0, 0        /* -D, -b */
 #endif
@@ -311,6 +312,8 @@ static optionDescription LongOptionDescription [] = {
  {1,"       Specify file from which command line options should be read."},
  {0,"  --print-language"},
  {0,"       Don't make tags file but just print the guessed language name for input file."},
+ {1,"  --quiet=[yes|no]"},
+ {0,"       Don't print NOTICE class messages [no]."},
  {1,"  --recurse=[yes|no]"},
 #ifdef RECURSE_SUPPORTED
  {1,"       Recurse into directories supplied on command line [no]."},
@@ -538,11 +541,25 @@ extern void verbose (const char *const format, ...)
 	{
 		va_list ap;
 		va_start (ap, format);
-		vfprintf (stderr, format, ap);
+		vfprintf (errout, format, ap);
 		va_end (ap);
 	}
 }
 
+extern void notice (const char *const format, ...)
+{
+	if (!Option.quiet)
+	{
+		va_list ap;
+		fprintf (errout, "%s: Notice: ", getExecutableName ());
+		va_start (ap, format);
+		vfprintf (errout, format, ap);
+		va_end (ap);
+		fputs ("\n", errout);
+	}
+}
+
+
 static char *stringCopy (const char *const string)
 {
 	char* result = NULL;
@@ -861,13 +878,13 @@ static void addExtensionList (
 		else
 			extension = separator + 1;
 	}
-	if (Option.verbose)
+	BEGIN_VERBOSE(vfp);
 	{
-		fprintf (stderr, "\n      now: ");
-		stringListPrint (slist, stderr);
-		putc ('\n', stderr);
+		fprintf (vfp, "\n      now: ");
+		stringListPrint (slist, vfp);
+		putc ('\n', vfp);
 	}
-	eFree (extensionList);
+	END_VERBOSE();
 }
 
 static boolean isFalse (const char *parameter)
@@ -1753,12 +1770,14 @@ static void processSortOption (
 static void installHeaderListDefaults (void)
 {
 	Option.headerExt = stringListNewFromArgv (HeaderExtensions);
-	if (Option.verbose)
+
+	BEGIN_VERBOSE(vfp);
 	{
-		fprintf (stderr, "    Setting default header extensions: ");
-		stringListPrint (Option.headerExt, stderr);
-		putc ('\n', stderr);
+		fprintf (vfp, "    Setting default header extensions: ");
+		stringListPrint (Option.headerExt, vfp);
+		putc ('\n', vfp);
 	}
+	END_VERBOSE();
 }
 
 static void processHeaderListOption (const int option, const char *parameter)
@@ -2066,6 +2085,7 @@ static booleanOption BooleanOptions [] = {
 	{ "line-directives",&Option.lineDirectives,         FALSE   },
 	{ "links",          &Option.followLinks,            FALSE   },
 	{ "print-language", &Option.printLanguage,          TRUE    },
+	{ "quiet",          &Option.quiet,                  FALSE   },
 #ifdef RECURSE_SUPPORTED
 	{ "recurse",        &Option.recurse,                FALSE   },
 #endif
@@ -2351,12 +2371,15 @@ extern void previewFirstOption (cookedArgs* const args)
 {
 	while (cArgIsOption (args))
 	{
-		if (strcmp (args->item, "V") == 0 || strcmp (args->item, "verbose") == 0 || strcmp (args->item, "config-filename") == 0 )
+		if (strcmp (args->item, "V") == 0
+		    || strcmp (args->item, "verbose") == 0
+		    || strcmp (args->item, "config-filename") == 0
+		    || strcmp (args->item, "quiet") == 0)
 			parseOption (args);
 		else if (strcmp (args->item, "options") == 0  &&
 				strcmp (args->parameter, "NONE") == 0)
 		{
-			fprintf (stderr, "No options will be read from files or environment\n");
+			notice ("No options will be read from files or environment\n");
 			SkipConfiguration = TRUE;
 			cArgForth (args);
 		}
diff --git a/options.h b/options.h
index c044648301..f70a1d0ae2 100644
--- a/options.h
+++ b/options.h
@@ -113,6 +113,7 @@ typedef struct sOptionValues {
 	boolean lineDirectives; /* --linedirectives  process #line directives */
 	boolean printLanguage;  /* --print-language */
 	boolean guessLanguageEagerly; /* --guess-language-eagerly|-G */
+	boolean quiet;		      /* --quiet */
 #ifdef DEBUG
 	long debugLevel;        /* -D  debugging output */
 	unsigned long breakLine;/* -b  source line at which to call lineBreak() */
@@ -127,7 +128,12 @@ extern CONST_OPTION optionValues		Option;
 /*
 *   FUNCTION PROTOTYPES
 */
+extern void notice (const char *const format, ...) __printf__ (1, 2);
 extern void verbose (const char *const format, ...) __printf__ (1, 2);
+#define BEGIN_VERBOSE(VFP) do { if (Option.verbose) { \
+                                FILE* VFP = errout
+#define END_VERBOSE()      } } while (0)
+
 extern void freeList (stringList** const pString);
 extern void setDefaultTagFileName (void);
 extern void checkOptions (void);
diff --git a/parse.c b/parse.c
index 954a36e206..0b299edbe8 100644
--- a/parse.c
+++ b/parse.c
@@ -830,9 +830,12 @@ extern void installLanguageMapDefault (const langType language)
 		lang->currentExtensions =
 			stringListNewFromArgv (lang->extensions);
 	}
-	if (Option.verbose)
-		printLanguageMap (language, stderr);
-	verbose ("\n");
+	BEGIN_VERBOSE(vfp);
+	{
+	printLanguageMap (language, vfp);
+	putc ('\n', vfp);
+	}
+	END_VERBOSE();
 }
 
 extern void installLanguageMapDefaults (void)
@@ -861,9 +864,10 @@ extern void installLanguageAliasesDefault (const langType language)
 		lang->currentAliaes =
 			stringListNewFromArgv (lang->aliases);
 	}
-	if (Option.verbose)
-		printAliases (language, stderr);
-	verbose ("\n");
+	BEGIN_VERBOSE(vfp);
+	printAliases (language, vfp);
+	putc ('\n', vfp);
+	END_VERBOSE();
 }
 extern void installLanguageAliasesDefaults (void)
 {
